diff --git a/modules/mi_xmlrpc/abyss_data.h b/modules/mi_xmlrpc/abyss_data.h
index c8a874c..511c480 100644
--- a/modules/mi_xmlrpc/abyss_data.h
+++ b/modules/mi_xmlrpc/abyss_data.h
@@ -3,6 +3,23 @@
 
 #include "abyss_thread.h"
 
+#ifndef XMLRPC_OLD_VERSION
+#define MAX_CONN        16
+typedef struct
+{
+	void *data;
+	int size;
+	int staticid;
+} TBuffer;
+
+typedef struct
+{
+	TBuffer buffer;
+	int size;
+} TString;
+
+#endif
+
 /*********************************************************************
 ** List
 *********************************************************************/
diff --git a/modules/mi_xmlrpc/abyss_http.c b/modules/mi_xmlrpc/abyss_http.c
index c8b7593..ca9b736 100644
--- a/modules/mi_xmlrpc/abyss_http.c
+++ b/modules/mi_xmlrpc/abyss_http.c
@@ -544,12 +544,12 @@ RequestRead(TSession * const sessionP) {
 }
 
 
-
+#ifdef XMLRPC_OLD_VERSION
 char *RequestHeaderValue(TSession *r,char *name)
 {
     return (TableFind(&r->request_headers,name));
 }
-
+#endif
 
 
 abyss_bool
diff --git a/modules/mi_xmlrpc/abyss_xmlrpc_server.c b/modules/mi_xmlrpc/abyss_xmlrpc_server.c
index f2ecab1..55aabf6 100644
--- a/modules/mi_xmlrpc/abyss_xmlrpc_server.c
+++ b/modules/mi_xmlrpc/abyss_xmlrpc_server.c
@@ -941,8 +941,9 @@ uriPathParm(const xmlrpc_server_abyss_parms * const parmsP,
 }
 
 
-
+#ifdef XMLRPC_OLD_VERSION
 static xmlrpc_server_shutdown_fn shutdownAbyss;
+#endif
 
 static void
 shutdownAbyss(xmlrpc_env * const envP,
